import request from "../../common/request"

export default {
	save: function (inputForm) {
		return request({
			url: "/look/over/save",
			method: "post",
			data: inputForm,
		});
	},
	savePhoto: function (inputForm) {
		return request({
			url: "/look/over/savePhoto",
			method: "post",
			data: inputForm,
		});
	},

	getMaxNo: function () {
		return request({
			url: "/look/over/getMaxNo",
			method: "get",
		});
	},
	getProcessingUnit: function () {
		return request({
			url: "/look/over/getProcessingUnit",
			method: "get",
		});
	},
	getUserInfoByOffId: function (officeId) {
		return request({
			url: "/look/over/getUserInfoByOffId",
			method: "get",
			params: {officeId: officeId}
		});
	},
	queryById: function (id) {
		return request({
			url: "/look/over/queryById",
			method: "get",
			params: { id: id },
		});
	},
	getNotDisposeList: function (params) {
		return request({
			url: "/look/over/getNotDisposeList",
			method: "get",
			params: params,
		});
	},
	getPhotoListByAttachmentAndFlag: function (attachmentIds, attachmentFlag) {
		return request({
			url: "/look/over/getPhotoListByAttachmentAndFlag",
			method: "get",
			params: {
				attachmentId: attachmentIds,
				attachmentFlag: attachmentFlag
			},
		});
	}
};
